/*
** ocd - ojnk cd player
** Copyright (C) 1999 Odin <odin@numb.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License, version 2,
** as published by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
*/

/*
** gen_window.c - Functions that operate on a given window.
*/

#include <ocd.h>
#include <string.h>
#include <limits.h>
#include <ctype.h>
#include <sys/stat.h>

/*
** Get input from the keyboard, store it in gotobuf.
*/
void user_input(WINDOW *this_win, u_char y, u_char x, u_char pad, u_char *gotobuf, size_t len) {
	wattrset(this_win, 0);
	mvwprintw(this_win, y, x, "%-*s", pad, " ");
	wmove(this_win, y, x);

	echo();
	curs_set(TRUE);
	wgetnstr(this_win, gotobuf, len);
	noecho();
	curs_set(FALSE);

	gotobuf[len] = '\0';
}

void setup_colors(void) {
	if (!has_colors())
		return;

	start_color();

	init_pair(0, COLOR_BLACK,	COLOR_BLACK);
	init_pair(1, COLOR_RED,		COLOR_BLACK);
	init_pair(2, COLOR_GREEN,	COLOR_BLACK);
	init_pair(3, COLOR_YELLOW,	COLOR_BLACK);
	init_pair(4, COLOR_BLUE,	COLOR_BLACK);
	init_pair(5, COLOR_MAGENTA,	COLOR_BLACK);
	init_pair(6, COLOR_CYAN,	COLOR_BLACK);
	init_pair(7, COLOR_WHITE,	COLOR_BLACK);
	init_pair(8, COLOR_BLACK,	COLOR_BLACK);
	
	init_pair(9, COLOR_YELLOW,  COLOR_GREEN);
	init_pair(10, COLOR_YELLOW, COLOR_RED);
	init_pair(11, COLOR_CYAN,   COLOR_CYAN);
	init_pair(12, COLOR_BLUE,   COLOR_YELLOW);
	init_pair(13, COLOR_WHITE,  COLOR_BLACK);
}
